<?php

  /*
  -----------------------------------------------------------------------------------------------------------+
  |
  |	e107 website system
  |	eBattlefield stats
  |	Battlefield2 player stats plugin
  |
  |	Samuel Alpher 2006 - http://www.geeksunitednw.com - alphers@hotmail.com
  |	Released under the terms and conditions of the
  |	GNU General Public License Version 2 (http://gnu.org)
  |	
  |	Admin code and battlefield 2 map images adapted from the lgsl plugin.
  |	Richard Perry 2005 - http://www.greycube.com - code@greycube.com
  |	Released under the terms and conditions of the
  |	GNU General Public License Version 2 (http://gnu.org)
  +----------------------------------------------------------------------------------------------------------+
  */


require(e_PLUGIN."ebfstats_menu/bf2s-mlb.php");

unset($text);

//php4 compatibility for array_combine()
if (!function_exists('array_combine')) {
   function array_combine($a, $b) {
       $c = array();
       if (is_array($a) && is_array($b))
           while (list(, $va) = each($a))
               if (list(, $vb) = each($b))
                   $c[$va] = $vb;
               else
                   break 1;
       return $c;
   }
} 

//Grab the config out of the db
$confquery  = "SELECT configset,title,joinhref,exstatsurl," .
		"default_exstatsurl,usegm,gmuid,gmnumlists,gmlistid_1," .
		"gmlistid_2,gmlistid_3,gmlistid_4,gmlistid_5,gmlistid_6," .
		"ranksize,backcolor,bordercolor,fontcolor " .
		"FROM ".MPREFIX."ebfconfig WHERE configset = 0";
		
$confres 	= mysql_query($confquery);

while( $confresult = mysql_fetch_assoc($confres) )
{
	$ebftitle 		= $confresult["title"];
	$joinsystem		= $confresult["joinhref"];
	switch ($joinsystem)
	{
		case "Xfire":
			$joinhref_prefix  = "xfire:join?game=bf2&server=";
			$joinhref_postfix = "";
			$join_systemname  = "Xfire";
		break;
		
		case "bf2":
			$joinhref_prefix  = "bf2://";
			$joinhref_postfix = "/";
			$join_systemname  = "bf2: //";
		break; 
	}
	$statsurl  		= $confresult["exstatsurl"];
	$def_statsurl	= $confresult["default_exstatsurl"];
	$usegm			= $confresult["usegm"];
	$gmnumlists		= $confresult["gmnumlists"];
	for ($gmlistcounter = 1; $gmlistcounter <= $gmnumlists; $gmlistcounter++)
	{
		$gmtmp = "gmlistid_".$gmlistcounter;
		$$gmtmp = $confresult[$gmtmp];
	}
	$gmuid			= $confresult["gmuid"];
	$ranksize  		= $confresult["ranksize"];
	$backcolor 		= $confresult["backcolor"];
	$bordercolor	= $confresult["bordercolor"];
	$fontcolor		= $confresult["fontcolor"];
}

	$rank_arr = array('Private','Private First Class','Lance Corporal','Corporal','Sergent','Staff Sergeant','Gunnery Sergeant','Master Sergeant','First Sergeant','Master Gunnery Sergeant','Sergeant Major','Sergeant Major of the Corps','2nd Lieutenant', '1st Lieutenant', 'Captain', 'Major', 'Lieutenant Colonel', 'Colonel', 'Brigadier General', 'Major General', 'Lieutenant General', 'General');

//Set up the rank image dimensions
switch ($ranksize) 
{
	case 0:
	   $rih = 16;
	   $riw = 64;
	break;
	case 1:
	   $rih = 25;
	   $riw = 100;
	break;
	case 2:
	   $rih = 50;
	   $riw = 200;
	break;
}
		

//Add a forward slash at the end for bf2s links but not for madmonk links.
if ($def_statsurl != $statsurl)
{
	$urltrailer = "";
}else{
	$urltrailer = "/";
}
switch ($usegm)
{
	case 0:
		//Grab the player list if we are using eBattlefield stats player db.
		$peepquery  = "SELECT playerid,playername,showmenu FROM ".MPREFIX."ebfplayers";
		$peepres    = mysql_query($peepquery);
		$name_arr   = array();
		$id_arr	    = array();
		$inc_arr    = array();
		$id2name    = array();
		$id2include = array();
		
		while( $peepresult = mysql_fetch_assoc($peepres) )
		{
			array_push($id_arr, $peepresult["playerid"]);
			array_push($name_arr, $peepresult["playername"]);
			array_push($inc_arr, $peepresult["showmenu"]);
		}
		
		$id2name    = array_combine($id_arr,$name_arr);
		$id2include = array_combine($id_arr,$inc_arr);
		
		foreach ($id_arr as $idtmp)
		{
			$pids .= $idtmp.",";
		}
		
		$pids = rtrim($pids, ',');
				
		//--------------------------------------------------------------------------------------------------------+
		
		$mlb->get($pids);
		$retvals = $mlb->getList();
		
		//--------------------------------------------------------------------------------------------------------+
		
		$text .= "<link rel='stylesheet' type='text/css' href='".e_PLUGIN."ebfstats_menu/css/ebfstats.css'>";
		$text .= "<script language=\"JavaScript\" src=\"".e_PLUGIN."ebfstats_menu/js/ebfstats.js\"></script>";
		$text .= "<div id=\"ebfcontainer\" style='margin-left: 25px; margin-right: 15px;'>";
		$text .= "<ul style='padding: 0; margin: 0'>";
		foreach ($retvals as $key => $val)
		{
		  if ($id2include[$val['PID']] == 1)
		  {
			if ($id2name[$val['PID']])
			{
				$nick = $id2name[$val['PID']];
			}else{$nick = $val['NICK'];}
		
			$ranknum = $val['RANK'];
		
			$img = "<img src=\'".e_PLUGIN."ebfstats_menu/img/rank_".$ranksize."_".$ranknum.".gif\' alt=\' \' height=\'$rih\' width=\'$riw\' />";
			
			$text .= "<li><a href=\"".$statsurl.$val['PID'].$urltrailer."\" onmouseover=\"popper.popShow(event, '<center>".$img."<br />".$rank_arr[$ranknum]."<br />".$nick."<br />Score: ".number_format($val['SCORE'])."</center>', '$backcolor', '$fontcolor', '$bordercolor')\" onmouseout=\"popper.popDestruct()\">".$nick."</a></li>\n";
		  } 
		}
		$text .= "</ul></div>";
	break;
	
	case 1:
		require_once('gm/gm-xml.php');
		$gm			= new gm_xml();
		$bf2slist	= array();
		$finalbuds  = array();
		for ($gmlstc = 1; $gmlstc <= $gmnumlists; $gmlstc++)
		{
			$dvar   = "gmlistid_".$gmlstc;
			$oBuds 		= $gm->grabBuddyObject($gmuid,$$dvar);
			$buddylist  = $oBuds->BUDDYLIST->BUDDY;
			foreach ($buddylist as $bud)
			{
				$bf2spids .= $bud->PID.",";
				$subarray = array("NAME" => $bud->NAME,"STATUS" => $bud->STATUS,
								"GAME" => $bud->GAME->LONGNAME,"SERVERNAME" => $bud->SERVER->NAME,
								"IP" => $bud->SERVER->FULLIP,"PLAYERS" => $bud->SERVER->PLAYERS,
								"MAP" => $bud->SERVER->MAP,"SCORE" => $bud->SCORE,"PING" => $bud->PING,
								"DURATION" => $bud->DURATION);
				$finalbuds[$bud->PID] = $subarray;
				unset($subarray);
			}
		}
		$bf2spids = rtrim($bf2spids, ',');
		$mlb->get($bf2spids);
		$retvals = $mlb->getList();
		$text .= "<link rel='stylesheet' type='text/css' href='".e_PLUGIN."ebfstats_menu/css/ebfstats.css'>";
		$text .= "<script language=\"JavaScript\" src=\"".e_PLUGIN."ebfstats_menu/js/ebfstats.js\"></script>";
		$text .= "<div id=\"ebfcontainer\">";
		$text .= "<table border='0' cellpadding='0' cellspacing='0'>";
		
		foreach ($retvals as $key => $val)
		{
			$nick     = $finalbuds[$val['PID']]['NAME'];
			$ranknum  = $val['RANK'];
			$rankname = $rank_arr[$val['RANK']];
			$rankimg  = "<img src=\'".e_PLUGIN."ebfstats_menu/img/rank_".$ranksize."_".$ranknum."" .
					".gif\' alt=\' \' height=\'$rih\' width=\'$riw\' />";	
			if ($finalbuds[$val['PID']]['STATUS'] == "Online")
			{
				if (file_exists(e_PLUGIN."ebfstats_menu/img/".strtolower($finalbuds[$val['PID']]['MAP'].".jpg")))
				{
					$mapimg = "<img src=\'".e_PLUGIN."ebfstats_menu/img/".strtolower($finalbuds[$val['PID']]['MAP']).".jpg\' height=\'120\' width=\'160\' alt=\'\' />";	
				}else
				{
					$mapimg = "<i>No map image found</i>";
				}				
				$onoff = "<a href=\"".$joinhref_prefix.$finalbuds[$val['PID']]['IP'].$joinhref_postfix."\" onmouseover=\"popper.popShow(event, '<center>Join <b><i>" .
						"<span style=\'color: ".$fontcolor.";\'>".$finalbuds[$val['PID']]['SERVERNAME']."</span></i></b> via ".$join_systemname."</center>', '$backcolor', '$fontcolor', '$bordercolor')\" " .
						"onmouseout=\"popper.popDestruct()\"><img style='border: none;' src='".e_PLUGIN."ebfstats_menu/img/online.gif' " .
						"alt='' height='14' width='14' /></a>";
				$playingtext = "<br /><br />Playing at: <b><i><span style=\'color: ".$fontcolor.";\'>".$finalbuds[$val['PID']]['SERVERNAME']."</span></i></b><br />" .
						"<br /><div style=\'float: left; width: 80px; text-align: center;\'><u>Map</u><br />".$finalbuds[$val['PID']]['MAP']."<br /><br />" .
						"<u>Players</u><br />".$finalbuds[$val['PID']]['PLAYERS']."<br /><br />" .
						"<u>Ping</u><br />".$finalbuds[$val['PID']]['PING']."</div>" .
						"<div style=\'float: right;\'>".$mapimg."</div>";
				$onoffimg = "<img style=\'border: none;\' src=\'".e_PLUGIN."ebfstats_menu/img/online.gif\' alt=\' \' height=\'14\' width=\'14\' /> Online";
			}else{
				$onoff = "";
				$playingtext = " ";
				$onoffimg = "<img style=\'border: none;\' src=\'".e_PLUGIN."ebfstats_menu/img/offline.gif\' alt=\' \' height=\'14\' width=\'14\' /> Offline";
			}		
			$text .= "<tr><td>".$onoff."</td>" .
					"<td style='padding: 0px 0px 0px 3px; valign: middle;'><a href=\"".$statsurl.$val['PID'].$urltrailer."" .
					"\" onmouseover=\"popper.popShow(event, '" .
					"<div style=\'width: auto;\'><div style=\'position: absolute;\'>".$onoffimg."</div>" .
					"<br /><div style=\'text-align: center\'>".$rankimg."<br />".$rankname." "
					.$nick."<br />Global Score: ".number_format($val['SCORE']).$playingtext."</div></div>', '$backcolor', '$fontcolor', '$bordercolor')\" " .
					"onmouseout=\"popper.popDestruct()\">".$nick."</a></td></tr>\n";	  
		}
		$text .= "</table></div>";
	break;
}

$text .= "<br /><div style='text-align: center; font-size: 8px;'><a href=\"http://www.geeksunitednw.com/?WT.vr.rac_dc=Web&WT.vr.rac_ct=Software&WT.vr.rac_cr=e107%20Plugins&WT.vr.rac_of=eBattlefield%20Stats&WT.vr.rac_pa=".SITEURLBASE."&WT.vr.rac_de=Software%20Offers&WT.mc_id=eBattlefield%20Stats&WT.vr.rac_mp=Software%20Plugins&WT.vr.rac_ma=eBattlefield%20Stats\" alt=\" \" onmouseover=\"popper.popShow(event, '<center>eBattlefield Stats<br /><img src=\'".e_PLUGIN."ebfstats_menu/img/gun_skull_logo.gif\' height=\'67\' width=\'60\' alt=\'geek logo\' /><br />www.geeksunitednw.com</center>', '$backcolor', '$fontcolor', '$bordercolor')\" onmouseout=\"popper.popDestruct()\">eBattlefield Stats</a></div>";
$ns -> tablerender($ebftitle, $text);
?>