<?php

  /*
  -----------------------------------------------------------------------------------------------------------+
  |
  |	e107 website system
  |	eBattlefield stats
  |	Battlefield2 player stats plugin
  |
  |	Samuel Alpher 2006 - http://www.geeksunitednw.com - alphers@hotmail.com
  |	Released under the terms and conditions of the
  |	GNU General Public License Version 2 (http://gnu.org)
  |	
  |	Admin code and battlefield 2 map images adapted from the lgsl plugin.
  |	Richard Perry 2005 - http://www.greycube.com - code@greycube.com
  |	Released under the terms and conditions of the
  |	GNU General Public License Version 2 (http://gnu.org)
  +----------------------------------------------------------------------------------------------------------+
  */
  
//PLUGIN INFO------------------------------------------------------------------------------------------------+

  $eplug_name        = "eBattlefield Stats";
  $eplug_version     = ".8";
  $eplug_author      = "Sam Alpher";
  $eplug_url         = "http://www.geeksunitednw.com";
  $eplug_email       = "baconmilkshake@gmail.com";
  $eplug_description = "BF2 stats module";
  $eplug_compatible  = "e107v7";
  $eplug_readme      = "readme.txt";
  $eplug_compliant   = TRUE;
  $eplug_module      = FALSE;

//PLUGIN FOLDER----------------------------------------------------------------------------------------------+

  $eplug_folder = "ebfstats_menu";

//PLUGIN MENU FILE-------------------------------------------------------------------------------------------+

  $eplug_menu_name = "ebfstats_menu";

//PLUGIN ADMIN AREA FILE-------------------------------------------------------------------------------------+
 
  $eplug_conffile = "ebfstats_admin.php";

//PLUGIN ICONS AND CAPTION-----------------------------------------------------------------------------------+

  $eplug_logo       = $eplug_folder."/img/ebf-32.gif";
  $eplug_icon       = $eplug_folder."/img/ebf-32.gif";
  $eplug_icon_small = $eplug_folder."/img/ebf-16.gif";
  $eplug_caption    = 'Configure eBattlefield Stats';  

//DEFAULT PREFERENCES----------------------------------------------------------------------------------------+

  $eplug_prefs = "";

//MYSQL TABLES TO BE CREATED---------------------------------------------------------------------------------+

  $eplug_table_names = array("ebfplayers","ebfconfig");

//MYSQL TABLE STRUCTURE--------------------------------------------------------------------------------------+

  $eplug_tables = array(

	"CREATE TABLE ".MPREFIX."ebfplayers (
		`id`         int(5)      NOT NULL auto_increment,
		`playerid`   varchar(128),
		`playername` varchar(128),
		`showlist`   tinyint(1),
		`showmenu`   tinyint(1),		
	PRIMARY KEY (`id`)) TYPE=MyISAM;",
	"CREATE TABLE ".MPREFIX."ebfconfig (
	  `id` int(50) NOT NULL auto_increment,
	  `configset` int(2) NOT NULL default '0',
	  `fn_configset` varchar(128)  NOT NULL default 'Config',
	  `title` varchar(128)  default NULL,
	  `fn_title` varchar(128)  NOT NULL default 'Title',
	  `default_title` varchar(128)  NOT NULL default 'eBattlefield Stats',
	  `joinhref` varchar(10)  NOT NULL default 'Xfire',
	  `fn_joinhref` varchar(128)  NOT NULL default 'System for joining games',
	  `default_joinhref` varchar(10)  NOT NULL default 'Xfire',
	  `exstatsurl` varchar(128)  default NULL,
	  `fn_exstatsurl` varchar(128)  NOT NULL default 'Expanded Stats URL',
	  `default_exstatsurl` varchar(128)  NOT NULL default 'http://bf2s.com/player/',
	  `usegm` int(1) default NULL,
	  `fn_usegm` varchar(128)  NOT NULL default 'Use Game-Monitor (overrides eBattlefield Stats player list)',
	  `default_usegm` int(1) NOT NULL default '0',
	  `gmuid` int(50) default NULL,
	  `fn_gmuid` varchar(128)  NOT NULL default 'Game Monitor ID',
	  `gmnumlists` int(1) NOT NULL default '1',
	  `fn_gmnumlists` varchar(128)  NOT NULL default 'Number of Game-Monitor Lists',
	  `gmlistid_1` int(2) default NULL,
	  `fn_gmlistid_1` varchar(128)  NOT NULL default 'Game Monitor Buddy List ID #1',
	  `gmlistid_2` int(1) default NULL,
	  `fn_gmlistid_2` varchar(128)  NOT NULL default 'Game Monitor List ID #2',
	  `gmlistid_3` int(1) default NULL,
	  `fn_gmlistid_3` varchar(128)  NOT NULL default 'Game Monitor List ID #3',
	  `gmlistid_4` int(1) default NULL,
	  `fn_gmlistid_4` varchar(128)  NOT NULL default 'Game Monitor List ID #4',
	  `gmlistid_5` int(1) default NULL,
	  `fn_gmlistid_5` varchar(128)  NOT NULL default 'Game Monitor List ID #5',
	  `gmlistid_6` int(1) default NULL,
	  `fn_gmlistid_6` varchar(128)  NOT NULL default 'Game Monitor List ID #6',
	  `ranksize` int(1) default NULL,
	  `fn_ranksize` varchar(128)  NOT NULL default 'Rank Icon Size',
	  `default_ranksize` int(1) NOT NULL default '1',
	  `backcolor` varchar(128)  default NULL,
	  `fn_backcolor` varchar(128)  NOT NULL default 'Background Color',
	  `default_backcolor` varchar(128)  NOT NULL default '#000000',
	  `bordercolor` varchar(128)  default NULL,
	  `fn_bordercolor` varchar(128)  NOT NULL default 'Border Color',
	  `default_bordercolor` varchar(128)  NOT NULL default '#CCCCCC',
	  `fontcolor` varchar(128)  default NULL,
	  `fn_fontcolor` varchar(128)  NOT NULL default 'Font Color',
	  `default_fontcolor` varchar(128)  NOT NULL default '#CCCCCC',		
	PRIMARY KEY (`id`)) TYPE=MyISAM;");

//LINK TO BE CREATED ON SITE MENU--------------------------------------------------------------------------+

  $eplug_link      = FALSE;
  $eplug_link_name = "Player stats";
  $eplug_link_url  = e_PLUGIN."baconstats_menu/";

//MESSAGE WHEN PLUGIN IS INSTALLED-------------------------------------------------------------------------+

  $eplug_done = "Plugin is now Installed.<br /><br />" .
  		"Please chmod 777 (make writeable) the ebfstats_menu/cache/ AND the ebfstats_menu/gm/gm_cache/ directories." .
  		"<br />eBattlefield stats will not function until this is done.";
  
//SAME AS ABOVE BUT ONLY RUN WHEN CHOOSING UPGRADE---------------------------------------------------------+

  $upgrade_add_prefs    = "";
  $upgrade_remove_prefs = "";
  $upgrade_alter_tables = "";
  $eplug_upgrade_done   = "";

//---------------------------------------------------------------------------------------------------------+

?>